# ChangeLog for net-dialup/capi4k-utils
# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/net-dialup/capi4k-utils/ChangeLog,v 1.54 2007/03/23 15:31:30 wolf31o2 Exp $

  23 Mar 2007; Chris Gianelloni <wolf31o2@gentoo.org>
  capi4k-utils-20050718-r3.ebuild:
  Stable on ppc wrt bug #170870.

  22 Mar 2007; Steve Dibb <beandog@gentoo.org>
  capi4k-utils-20050718-r3.ebuild:
  amd64 stable, security bug 170870

  18 Mar 2007; Christian Faulhammer <opfer@gentoo.org>
  capi4k-utils-20050718-r3.ebuild:
  stable x86, security bug 170870

*capi4k-utils-20050718-r3 (15 Mar 2007)

  15 Mar 2007; Stefan Briesenick <sbriesen@gentoo.org>
  +files/capi4k-utils-20050718-msg2str-safety.diff,
  +capi4k-utils-20050718-r3.ebuild:
  added patch for buffer overflow in bufprint function (see bug #170870).

  04 Feb 2007; Simon Stelling <blubb@gentoo.org>
  capi4k-utils-20050718-r2.ebuild:
  stable on amd64; bug 158342

  28 Jan 2007; Stefan Briesenick <sbriesen@gentoo.org>
  capi4k-utils-20050718-r2.ebuild:
  fixed bug #160187 and #164137.

  18 Dec 2006; Christian Faulhammer <opfer@gentoo.org>
  capi4k-utils-20050718-r2.ebuild:
  stable x86, bug #158342

  18 Nov 2006; Alin Nastac <mrness@gentoo.org>
  -files/20041006/capi.blacklist, -files/20041006/capi.hotplug,
  -files/20041006/capi.confd, -files/20041006/capi.initd,
  -files/20041006/README.gentoo, -files/20041006/capi.usermap,
  -files/20041006/config, -files/20041006/rcapid.xinetd,
  -capi4k-utils-20041006-r5.ebuild, -capi4k-utils-20050509.ebuild,
  -capi4k-utils-20050718.ebuild:
  Remove obsolete versions.

*capi4k-utils-20050718-r2 (25 Aug 2006)

  25 Aug 2006; Stefan Briesenick <sbriesen@gentoo.org>
  +files/capi4k-utils-20050718-pppd244.diff,
  +capi4k-utils-20050718-r2.ebuild:
  added ppp-2.4.4 support.

  11 Jun 2006; Stefan Briesenick <sbriesen@gentoo.org>
  capi4k-utils-20050718-r1.ebuild:
  fixing permissions of capiplugin man-page (see bug #136120)

  26 Mar 2006; Michael Hanselmann <hansmi@gentoo.org>
  capi4k-utils-20050718-r1.ebuild:
  Stable on ppc.

  14 Mar 2006; Stefan Briesenick <sbriesen@gentoo.org>
  capi4k-utils-20050718-r1.ebuild:
  stable on x86 and amd64.

  21 Jan 2006; Lars Weiler <pylon@gentoo.org> capi4k-utils-20050509.ebuild:
  Stable on ppc; bug #112457.

  23 Dec 2005; Simon Stelling <blubb@gentoo.org>
  capi4k-utils-20050509.ebuild:
  stable on amd64

  03 Sep 2005; Stefan Briesenick <sbriesen@gentoo.org>
  -capi4k-utils-20050322-r1.ebuild, capi4k-utils-20050718-r1.ebuild:
  removed old version, fixed whitespace error.

*capi4k-utils-20050718-r1 (03 Sep 2005)

  03 Sep 2005; Stefan Briesenick <sbriesen@gentoo.org> files/capi.blacklist,
  files/capi.conf, files/capi.confd, files/capi.hotplug, files/capi.initd,
  +files/capi.pcmcia, +files/capi.pcmcia.conf, files/capi.usermap,
  metadata.xml, +capi4k-utils-20050718-r1.ebuild:
  adding lots of USE flags, checking kernel options, reworked init- and
  hotplug-scripts, added pcmcia support for kernels < 2.6.13 (new pcmcia
  support will follow soon).

  20 Jul 2005; Stefan Briesenick <sbriesen@gentoo.org> files/capi.hotplug:
  now hotplug-script looks in different locations for firmware files also
  (same behaviour as 'capiinit')

*capi4k-utils-20050718 (18 Jul 2005)

  18 Jul 2005; Stefan Briesenick <sbriesen@gentoo.org>
  +capi4k-utils-20050718.ebuild:
  version bump

  26 Jun 2005; Stefan Briesenick <sbriesen@gentoo.org>
  capi4k-utils-20050509.ebuild:
  compile fixes for amd64 (see bug #93535)

  17 Jun 2005; Stefan Briesenick <sbriesen@gentoo.org>
  capi4k-utils-20050509.ebuild:
  x86 stable

  30 May 2005; Stefan Schweizer <genstef@gentoo.org> files/capi.hotplug:
  some capi.hotplug cleanups

*capi4k-utils-20050509 (16 May 2005)

  16 May 2005; Stefan Schweizer <genstef@gentoo.org> files/capi.conf,
  files/capi.confd, files/capi.hotplug, files/capi.usermap,
  +capi4k-utils-20050509.ebuild:
  Version bump, misdn hotplug added

*capi4k-utils-20050322-r1 (24 Apr 2005)

  24 Apr 2005; Stefan Schweizer <genstef@gentoo.org> files/capi.blacklist,
  files/capi.conf, files/capi.hotplug, files/capi.initd,
  -capi4k-utils-20050322.ebuild, +capi4k-utils-20050322-r1.ebuild:
  Some changes in the gentoo capi init scripts to support mISDN and
  CIP(bluetooth) thanks to sbriesen, new revision to depend on it in the mISDN
  ebuild. Removing old revision.

  09 Apr 2005; Stefan Schweizer <genstef@gentoo.org> files/capi.confd,
  files/capi.hotplug, files/capi.initd, +files/capi-isdn,
  capi4k-utils-20050322.ebuild:
  Merge some changes thanks to sbriesen

  30 Mar 2005; Stefan Schweizer <genstef@gentoo.org> files/capi.hotplug,
  files/capi.initd, capi4k-utils-20050322.ebuild:
  Fix capidrv/isdnlog bug thanks to sbriesen

  29 Mar 2005; Stefan Schweizer <genstef@gentoo.org> files/capi.blacklist,
  files/capi.conf, files/capi.confd, files/capi.hotplug, files/capi.initd,
  capi4k-utils-20050322.ebuild:
  Improved ebuild and config-files thanks to Stefan Briesenick

*capi4k-utils-20050322 (29 Mar 2005)

  29 Mar 2005; Alin Nastac <mrness@gentoo.org> +files/README.gentoo,
  +files/capi.blacklist, +files/capi.confd, +files/capi.hotplug,
  +files/capi.initd, +files/capi.usermap, +files/config, +files/rcapid.xinetd,
  -files/20041006/capi.init, +capi4k-utils-20050322.ebuild:
  Version bump.

  05 Mar 2005; Stefan Schweizer <genstef@gentoo.org>
  -capi4k-utils-20041006-r3.ebuild, -capi4k-utils-20041006-r4.ebuild,
  capi4k-utils-20041006-r5.ebuild:
  capi4k-utils-20041006-r5 stable, cleaned out old versions.

  26 Feb 2005; Stefan Schweizer <genstef@gentoo.org> +files/capi.conf,
  capi4k-utils-20041006-r5.ebuild:
  Changing capi.conf to also include the fritzcapi/fcdsl entries.

*capi4k-utils-20041006-r5 (06 Jan 2005)

  06 Jan 2005; Alin Nastac <mrness@gentoo.org> files/20041006/capi.initd,
  +capi4k-utils-20041006-r5.ebuild:
  Install an improved /etc/init.d/capi script (#76410).

*capi4k-utils-20041006-r4 (23 Dec 2004)

  23 Dec 2004; Alin Nastac <mrness@gentoo.org> -files/capi-init-20040810,
  -files/capi-init-20041006, -files/capi4k-utils-2004-10-06-fPIC.patch,
  -files/capi4k-utils-2004-10-06.patch, files/20041006/README.gentoo,
  +files/20041006/capi.blacklist, +files/20041006/capi.confd,
  +files/20041006/capi.hotplug, +files/20041006/capi.initd,
  +files/20041006/capi.usermap, -capi4k-utils-20040810.ebuild,
  -capi4k-utils-20041006-r2.ebuild, +capi4k-utils-20041006-r4.ebuild,
  -capi4k-utils-20041006.ebuild:
  Add hotplug support, thanks to Stefan Briesenick <sbriesen@gmx.de> (#75117).
  The new standard path for firmware files is /lib/firmware, which now is the
  first search path along with other usual paths. Cleaned up old ebuilds.

*capi4k-utils-20041006-r3 (27 Nov 2004)

  27 Nov 2004; Alin Nastac <mrness@gentoo.org>
  -files/20041006/capi4k-utils.patch, capi4k-utils-20041006-r2.ebuild,
  +capi4k-utils-20041006-r3.ebuild:
  Add support for ppp-2.4.3, thanks to tove <bugs@veller.net>. See bug #72406.

  14 Nov 2004; Alin Nastac <mrness@gentoo.org>
  capi4k-utils-20041006-r2.ebuild:
  Marked stable on x86 because upstream marked 20040810 as DONTUSE.

  14 Nov 2004; Michael Hanselmann <hansmi@gentoo.org>
  capi4k-utils-20041006-r2.ebuild:
  Added to ~ppc due to mrness' request.

  13 Nov 2004; Alin Nastac <mrness@gentoo.org>
  capi4k-utils-20041006-r2.ebuild:
  Remove firmware files from ebuild since only active ISDN boards needs that.

  13 Nov 2004; Alin Nastac <mrness@gentoo.org> -files/capi,
  -capi4k-utils-20021026.ebuild, -capi4k-utils-20041006-r1.ebuild:
  Remove obsolete ebuilds

*capi4k-utils-20041006-r2 (13 Nov 2004)

  13 Nov 2004; Alin Nastac <mrness@gentoo.org> +files/20041006/README.gentoo,
  +files/20041006/capi.init, +files/20041006/capi4k-utils.patch,
  +files/20041006/config, +files/20041006/rcapid.xinetd,
  +capi4k-utils-20041006-r2.ebuild:
  Import from #71022, thanks to Stefan Briesenick <sbriesen@gmx.de>

*capi4k-utils-20041006-r1 (11 Nov 2004)

  11 Nov 2004; Alin Nastac <mrness@gentoo.org> +capi4k-utils-20041006-r1.ebuild:
  Add a bunch of AVM firmware files, thanks to Stefan Briesenick <sbriesen@gmx.de>. 
  Closing #69324.

  01 Nov 2004; Daniel Black <dragonheart@gentoo.org> files/capi-init-20041006:
  Init script fix as per bug #69558. Thanks to Stefan Briesenick
  <sbriesen@gmx.de>

*capi4k-utils-20041006 (30 Oct 2004)

  30 Oct 2004; Daniel Black <dragonheart@gentoo.org>
  +files/capi-init-20041006, +files/capi4k-utils-2004-10-06-fPIC.patch,
  +files/capi4k-utils-2004-10-06.patch, +capi4k-utils-20041006.ebuild:
  New version bump thanks to Torsten Veller <torsten@veller.net>

  14 Oct 2004; David Holm <dholm@gentoo.org> capi4k-utils-20040810.ebuild:
  Added to ~ppc.

  05 Oct 2004; Daniel Black <dragonheart@gentoo.org>
  -capi4k-utils-20020701.ebuild, -capi4k-utils-20030616.ebuild,
  capi4k-utils-20040810.ebuild:
  x86 stable and cleaning out the cobwebs. Thanks to Stephan Litterst
  <stephan.litterst@web.de> for testing

  27 Sep 2004; Daniel Black <dragonheart@gentoo.org> files/capi-init-20040810:
  Fixed path in init script. Bug #65294  Thanks to tuXXer <bs.net@gmx.de>

*capi4k-utils-20040810 (24 Sep 2004)

  24 Sep 2004; Daniel Black <dragonheart@gentoo.org>
  +files/capi-init-20040810, +capi4k-utils-20040810.ebuild:
  Version bump. Fixes bug #52001. Hope it doesn't break 2.4 headers (otherwise
  remove sed). Init script courtecy of Sven <skoehler@upb.de> fixes bug #51054
  Bug #43592 fixed because of the version bump.

  24 Nov 2003; Heinrich Wendel <lanius@gentoo.org>
  capi4k-utils-20030616.ebuild:
  fixed SRC_URI

*capi4k-utils-20030616 (23 Nov 2003)

  23 Nov 2003; Heinrich Wendel <lanius@gentoo.org>
  capi4k-utils-20030616.ebuild:
  bump

  19 Nov 2003; Heinrich Wendel <lanius@gentoo.org> metadata.xml:
  metadata.xml

  29 Aug 2003; Martin Holzer <mholzer@gentoo.org>
  capi4k-utils-20021026.ebuild:
  Added fix. Closes #20054.

*capi4k-utils-20021026 (25 Apr 2003)

  25 Apr 2003; Martin Holzer <mholzer@gentoo.org>
  capi4k-utils-20021026.ebuild:
  Version bumped. Closes #16042.

*capi4k-utils-20020701 (9 Aug 2002)

  25 Apr 2003; Martin Holzer <mholzer@gentoo.org>
  capi4k-utils-20020701.ebuild:
  ebuild cleanup

  9 Aug 2002; Bart Verwilst <verwilst@gentoo.org>

  Initial ebuild in Portage.



